# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95.0"
name = "general-mq"
version = "0.4.6"
authors = ["Chien-Hong Chan"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "General purposed interfaces for message queues."
readme = "README.md"
keywords = [
    "amqp",
    "mq",
    "mqtt",
]
categories = ["network-programming"]
license = "MIT"
repository = "https://github.com/woofdogtw/sylvia-iot-core.git"
resolver = "1"

[lib]
name = "general_mq"
path = "src/lib.rs"

[[example]]
name = "simple"
path = "examples/simple.rs"

[[test]]
name = "integration_test"
path = "tests/integration_test.rs"

[dependencies.amqprs]
version = "2.1.5"
features = [
    "tls",
    "urispec",
]

[dependencies.async-trait]
version = "0.1.89"

[dependencies.lapin]
version = "4.10.0"
features = ["rustls"]

[dependencies.rand]
version = "0.10.2"

[dependencies.regex]
version = "1.13.0"

[dependencies.rumqttc]
version = "0.25.1"

[dependencies.tokio]
version = "1.52.3"
features = [
    "io-util",
    "macros",
    "rt-multi-thread",
    "time",
]

[dependencies.url]
version = "2.5.8"

[dependencies.urlencoding]
version = "2.1.3"

[dev-dependencies.laboratory]
version = "2.0.0"

[dev-dependencies.reqwest]
version = "0.13.4"
features = ["json"]
default-features = false

[dev-dependencies.serde]
version = "1.0.228"
features = ["derive"]

[profile.release]
lto = true
codegen-units = 1
strip = true

[profile.test]
incremental = true
